classification
Title: tkinter, assorted fixes
Type: Stage:
Components: Tkinter Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: georg.brandl, gpolo
Priority: normal Keywords: patch

Created on 2008-05-18 15:38 by gpolo, last changed 2008-06-03 10:26 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
fixes_Tkinter.diff gpolo, 2008-05-25 18:01
tkinter_tuple_list_support.diff gpolo, 2008-06-02 23:53
Messages (5)
msg67029 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-05-18 15:38
This patch adds support for Tk options that could be passed as a list or
tuple, for example. I didn't investigate if there are any of these in tk
8.4, but tk 8.5 has this (the padding option for Ttk Label, for example).
Note that this should, if possible, be backported to python 2.5 at
least, since it segfaults here when I pass a list as an option value.

It also aligns some docstrings; documents the support for the 'in_'
option for grid, place and pack, actually all options may end with an
"_", but it is good to document 'in_' specifically because the option
'in' can't be passed "naturally". Lastly it removes the duplicate code
in class Place that checks for the 'in_' option.
msg67351 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-05-25 18:01
I found a problem in the previous patch, new one added. This patch now
only considers tuple and list as possible option value that should be
joined, and the items inside the list or tuple should be either a string
or integer, otherwise it doesn't try to join the values.

The problem in the previous patch is that it would always join the value
independent of the value's content. But if an option is composed of a
tuple of tuples (used by dialogs), this conversion shouldn't be done.
msg67474 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-05-29 07:20
Committed as r63776, r63777 (3k).
msg67646 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-06-02 23:53
I found a case where the support for values under list or tuple would
fail, when the contents contain spaces it needs a proper tcl formatting.
I'm attaching a new patch that fixes this.
msg67652 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-06-03 10:26
Applied in trunk, 25-maint and 3k.
History
Date User Action Args
2008-06-03 10:26:36georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg67652
keywords: patch, patch
2008-06-02 23:53:35gpolosetstatus: closed -> open
files: + tkinter_tuple_list_support.diff
messages: + msg67646
resolution: accepted -> (no value)
keywords: patch, patch
2008-05-29 07:20:20georg.brandlsetstatus: open -> closed
keywords: patch, patch
resolution: accepted
messages: + msg67474
nosy: + georg.brandl
2008-05-25 18:01:53gpolosetfiles: - fixes_tkinter.diff
2008-05-25 18:01:39gpolosetkeywords: patch, patch
files: + fixes_Tkinter.diff
messages: + msg67351
2008-05-18 15:38:56gpolocreate